Bug 876015

Summary: RFE: implement Docs Contact field and controls
Product: [Community] Bugzilla Reporter: Douglas Silas <dhensley>
Component: Bugzilla GeneralAssignee: Simon Green <sgreen>
Status: CLOSED CURRENTRELEASE QA Contact: tools-bugs <tools-bugs>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 4.2CC: chechen, dmison, ebaak, eslobodo, jingwang, misty, mprpic, pkennedy, rlandman, tcapek
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: 4.4-3 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-20 07:07:43 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Douglas Silas 2012-11-12 23:02:07 EST
Description of problem: very similar to QA, Content Services requires a way to assign bugs to writers. Currently this need is partially served by the Errata Tool's Docs Queue, which is able to assign writers to specific errata, which are comprised of one or more (or many) bugs. ECS is now at the point where we require a more fine-grained way to associate engineering bugs and features with individual writers, or collectively to a general mailing list. Reasons include, among others:

* some products, most notably in middleware, do not go through the Errata Tool, and thus we currently have no mechanism for assigning those bugs to writers outside of manual tracking, which is tedious and error-prone.

* it would be highly useful to be able to assign specific bugs to authors for the purposes of scoping bugs and features for guide documentation. 

* Release Notes and known issues (among other documentation types, such as Technology Previews) should be assigned to individual writers outside of the Docs Queue, for dispensation and tracking purposes.

Version-Release number of selected component (if applicable): version 4.2.3-4.1
  
Actual results: there is currently no field in which we can assign a bug to a Content Services representative like a developer can be assigned to a bug using the Assigned To field, or like QA is able to assign a Quality Engineer using the QA Contact field.

Expected results: ECS is requesting the implementation of a Docs Contact field in Bugzilla that mirrors the QA contact field and associated controls. Specifically:

* the Docs Contact email address should be displayed along with the (edit) and (take) controls. 

* the Docs Contact should default to a generic mailing list that we will specify.

* the "Reset Docs Contact to default for component" check box should exist, just like it does for QA Contact.

* it would make sense to list the Docs Contact controls immediately after the Assigned To and QA Contact fields on the left-hand side.

* Docs Contact should be able to be fully manipulated (query, set and reset) by the XML-RPC (or other, such as JSON) interfaces. 

* the Errata Tool's Documentation Work Queue should exist separately from the Docs Contact field. Assigning an author to an erratum, which lists one or more Bugzillas, does not have any effect on the Docs Contact of any of those Bugzillas, i.e. the ET does not need to set Docs Contact.

* likewise, changes to the Doc Type or Doc Text field do not have any effect on the Docs Contact field.

Additional info: none at present.
Comment 1 Simon Green 2012-11-12 23:27:19 EST
Spoke to Douglas about this. Two points:

1) Like qa contact, this can be optional (as opposed to assignee which is mandatory)

2) We will be having a default docs contact for all components, just like we do with assignee and qa.

Hopefully this will just be a case of copying and pasting the qa contact code all over the place.

  -- simon
Comment 5 Chen Chen 2013-02-19 05:56:29 EST
Verify version 4.4-1 on test server --> PASS

Verify steps:
1. Login bugzilla with admin account.
2. Create a product test with component componentA and componentB.
3. Set componentA's default Docs Contact is jzhao@redhat.com and componentB's default Docs Contact is jingwang@redhat.com.
4. Login bugzilla with xma@redhat.com.
5. Create a test product bug bugA with componentA.
6. Create another test product bug bugB with componentB.
7. Go to bugA's detail page, check Docs Contact field.
8. Go to bugB's detail page, check Docs Contact field.
9. Go to bugB's detail page, click edit link of Docs Contact field, input yqi@redhat.com in the textbox, then submit.
10. Go to bugB's detail page, click take link of Docs Contact field then submit.
11. Go to bugB's detail page, click edit or take link of Docs Contact field, hook "Reset Docs Contact to default for component", then submit.
12. Click search link at top menu of the page.
13. In advance search page, click search by people, hook "the Docs Contact", select contains in drop-down list, and  input jingwang@redhat.com, then click search button at bottom.
14. Click search link at top menu of the page. In advance search page, click Custom Search, set "Doc contact" -> "Contains the string" -> "jingwang@redhat.com", then click search button at bottom

Actual results:
1. After step 7, Docs Contact field: jzhao@redhat.com
2. After step 8, Docs Contact field: jingwang@redhat.com.
3. After step 9, Docs Contact field: yqi@redhat.com.
4. After step 10, Docs Contact field: xma@redhat.com.
5. After step 11, Docs Contact field: jingwang@redhat.com.
6. After step 13, bug B will be searched out.
7. After step 14, bug B will be searched out.